Engazzou Azer
	
00:29 (il y a 1 minute)
	
À moi
   
Traduire le message
Désactiver pour : anglais

pipeline {
    agent any
    environment {
        // Change dh_cred with you DockerHub credentials id on Jenkins
        DOCKERHUB_CREDENTIALS = credentials('dh_cred')
    }
    stages {
        stage('Init'){
            steps{
                sh 'echo $DOCKERHUB_CREDENTIALS_PSW | docker login -u $DOCKERHUB_CREDENTIALS_USR --password-stdin'
            }
        }
        stage('Test'){
            steps{
                sh 'make test'
            }
        }
        stage('Build'){
            steps {
                //Change epsdevops with your DockerHub username
                sh 'docker build -t azerengazzou/pythonapp:$BUILD_ID -f build/Dockerfile .'
            }
        }
        stage('Deliver'){
            steps {
                //Change epsdevops with your DockerHub username
                sh 'docker push azerengazzou/pythonapp:$BUILD_ID'
            }
        }
        stage('Cleanup'){
            steps {
                //Change epsdevops with your DockerHub username
                sh 'docker rmi azerengazzou/pythonapp:$BUILD_ID'
                sh 'docker logout'
            }
        }
    }
}
